Cancel an owned active request or active structured-extraction run
Cancels a pending, running, or CAPTCHA-solving page request. A completed page remains available when only active dependent AI extraction runs are cancelled.
Cancels a pending, running, or CAPTCHA-solving page request. A completed page remains available when only active dependent AI extraction runs are cancelled.
AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/client/requests/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "cancelled", "page_status": "string", "page_cancelled": true, "page_was_active": true, "recipe_runs": { "was_active": true, "cancelled_ids": [ "ee61da17-176b-4c8f-b122-162f4c068557" ] }, "refund_status": "completed", "refund_tokens": 0, "batch_refresh_status": "completed"}